
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>jquery001_cdn</title>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script type="text/javascript">
//window.onload = function(){}
 $(document).ready(function(){
	 alert('문서가 로딩된후 실행할 문장');
 });
</script>
</head>
<body>
<!-- 
 jQuery
 1. jQuery는 2006년 모질라 사의 자바스크립트 개발자였던 존 레식(John Resing)이
      창시했다.
 2. jQuery는 자바스크립트를 이용해 만든 라이브러리 언어이다.
 3. 라이브러리 언어란 자바스크립트로 만들어진 다양한 함수들의 집합을 의미한다.
 4. jQuery는 브라우저들간의 호환성 문제를 해결했다.
 5. jQuery는 쉽고 편리한 애니메이션 효과기능 등을 구현했다.
 
 jQuery 라이브러리 연동하기(2가지 방법제공) 
 1. jQuery 라이브러리를 http://jQuery.com사이트에서 다운받아 사용하는 방법
 2. 온라인에서 jQuery 라이브러리 파일을 제공하는 네트워크에서 파일을 연동하여
     가져오는 네트워크 전송방식(CDN:Content Delivery Network)
     구글
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
     마이크로
    <script src="http://ajax.aspnetcdn.com/ajax/jQuery/jquery-1.11.3.min.js"></script>
     제이쿼리
    <script src="https://code.jquery.com/jquery-1.10.2.js"></script>
 
 제이쿼리 최신 버전에서 삭제된 이전 버전의 메서드 사용하기
 1. 제이쿼리는 최신 버전으로 업그레이드가 되면서 기존의 메서드가 삭제되여 있는
      것을 제공해준다.
      https://github.com/jquery/jquery-migrate에서 다운받아 설치를 한다.
 
 제이쿼리 선택자 
 1. 객체에 접근할 수 있도록 하기 위해서 선택자를 지정한다.
 2. jQuery에서 제공하는 선택자는 직접선택자와 인접관계선택자가 있다.
 3. 제이쿼리 선택자 사용준비
   $(document).ready(function(){실행문장;});
   $(function(function(){실행문장}));
 -->
</body>
</html>